{% load gestion_projets_extras %}

<div class="remark primary">
    <p><b>Explication :</b> En tant qu'étudiant, vous devez choisir un sujet et constituer un groupe de 3 à 4 personnes.</p>
    <p><b>Contrainte :</b> Vous ne pouvez choisir qu'un seul groupe.</p>
    <p><b>Tâches :</b><br> 1/ Choisir un sujet et votre groupe<br> 2/ Aller voir le tuteur pour valider avec lui le sujet<br> 3/ Un problème : contacter le responsable des projets </p>
</div>
<div class="grid">
    <div class="row p-5">
        <div class="cell-lg-6">
            <!-- Liste des sujets -->
            <table class="table">
                <thead>
                <tr>
                    <th>Liste des sujets</th>
                    <th>Tuteur</th>
                    <th>Nombre</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for subject in session.subjects.all %}
                    <tr >
                        <td>{{ subject.title }}</td>
                        <td> {{ subject.user.first_name }} {{ subject.user.last_name }}</td>
                        <td> 
                            {{ subject|count_user:session }} / 4
                        </td>
                        <td> 
                            <form action="{% url 'gestion_projets:session_choose_subject' session.id subject.id %}" method="POST">
                                {% csrf_token %}
                                <a class="image-button success" title="Voir en détail le sujet" target="_blank" href="{% url 'gestion_projets:subject_view' subject.id %}"><center>
                                    <span class="mif-file-text icon"></span>
                                    <span class="caption">Voir</span></center>
                                </a>
                                <!-- Si l'utilisateur n'a pas de projet sélectionné -->
                                {% if project_user.count == 0 %}
                                    <!-- Si le sujet est libre (non validé) -->
                                    {% if subject|is_subject_open:session %} 
                                        <button class="image-button warning" title="Choisir ce sujet" type="submit">
                                            <span class="mif-arrow-right icon"></span>
                                            <span class="caption">Choisir</span></center>
                                        </button>
                                    {% endif %}
                                {% endif %}
                            </form>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
        <div class="cell-lg-6">
            <!-- Affichage du projet courant -->
            {% if project_user.count == 0 %}
                <div class="remark warning"><p>Choisir un sujet parmi la liste</p></div>
            {% else %}

            {% if project_user.count > 1 %}
                <div class="remark warning">Erreur : Nombre de projets sélectionnés trop important</div>
            {% endif %}
            <table class="table">
                <thead>
                <tr>
                    <th>Votre choix</th>
                    <th>Action</th>
                </tr>
                </thead>
                {% for project in project_user %}
                <tr>
                    <td>
                        <b>Titre :</b> {{ project.subject.title }}<br>
                        <b>Tuteur :</b> {{ project.subject.user.first_name }} {{ project.subject.user.last_name }}<br>
                        <b>Membres du projet:</b>
                        <ul>
                        {% for userProject in project.users.all %}
                            <li>{{ userProject.first_name }} {{ userProject.last_name }}</li>
                        {% endfor %}
                        </ul>
                        <b>Nombre des membres :</b> {{ project.users.count }}<br>
                        <b>Validation Tuteur : </b> 
                        {% if project.is_valid_tutor %}
                            <span class="pl-10-md mif-checkmark mif-2x fg-green"></span>
                        {% else %}
                            <span class="pl-10-md mif-cross mif-2x fg-red"></span>
                        {% endif %}<br>
                        <b>Validation Responsable : </b> 
                        {% if project.is_valid_admin %}
                            <span class="pl-10-md mif-checkmark mif-2x fg-green"></span>
                        {% else %}
                            <span class="pl-10-md mif-cross mif-2x fg-red"></span>
                        {% endif %}<br>
                        {% if project.users.count > 4 %}<!-- TODO : modifier la valeur 1 -->
                            <div class="remark warning">Nombre de personnes trop importantes</div>
                        {% endif %}
                    </td>
                    <td>
                        <form action="{% url 'gestion_projets:session_quit_project' session.id project.id %}" method="POST">
                            {% csrf_token %}
                            <a class="image-button success" title="Voir en détail le sujet" target="_blank" href="{% url 'gestion_projets:subject_view' project.subject.id %}"><center>
                                <span class="mif-file-text icon"></span>
                                <span class="caption">Voir</span></center>
                            </a>
                            {% if not project.is_valid_tutor and not project.is_valid_admin%}
                            <button class="image-button warning" title="Quitter ce projet" type="submit">
                                <span class="mif-arrow-left icon"></span>
                                <span class="caption">Quitter</span></center>
                            </button>
                            {% endif %}
                        </form>
                    </td>
                </tr>
                {% endfor %}
            </table>
            {% endif %}
        </div>
    </div>
</div>
